org.apache.olingo.server.api.serializer

## Class ComplexSerializerOptions.Builder

- java.lang.Object
- - org.apache.olingo.server.api.serializer.ComplexSerializerOptions.Builder

- Enclosing class:
    ComplexSerializerOptions

      public static final class ComplexSerializerOptions.Builder
      extends Object

  Builder of OData serializer options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexSerializerOptions` | `build()` Builds the OData serializer options.
    `ComplexSerializerOptions.Builder` | `contextURL(ContextURL contextURL)` Sets the `ContextURL`.
    `ComplexSerializerOptions.Builder` | `expand(ExpandOption expand)` Sets the $expand system query option.
    `ComplexSerializerOptions.Builder` | `select(SelectOption select)` Sets the $select system query option.
    `ComplexSerializerOptions.Builder` | `xml10InvalidCharReplacement(String replacement)` set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contextURL

          public ComplexSerializerOptions.Builder contextURL(ContextURL contextURL)

      Sets the `ContextURL`.

    - #### expand

          public ComplexSerializerOptions.Builder expand(ExpandOption expand)

      Sets the $expand system query option.

    - #### select

          public ComplexSerializerOptions.Builder select(SelectOption select)

      Sets the $select system query option.

    - #### xml10InvalidCharReplacement

          public ComplexSerializerOptions.Builder xml10InvalidCharReplacement(String replacement)

      set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - #### build

          public ComplexSerializerOptions build()

      Builds the OData serializer options.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.